Fix namespace names in the Hungarian localization
Closed, ResolvedPublic

Description

Most talk namespaces in the Hungarian language interface are spelled
incorrectly: "vita" (talk) is written as a separate word, while actually it
should be either together with the preceding word, or joined with a hyphen,
depending in whether it is a proper noun. As many Hungarian speakers might not
know this rule, there should be aliases from the incorrect versions. Also, the user namespace has not been translated yet; it should use the hungarian equivalent "Felhasználó".

Thus, please set the following in the Hungarian interface:

User:
main name: Szerkesztő

User talk:
main name: Szerkesztővita
alias: Szerkesztő vita, Szerkesztő-vita, User vita

Project talk:
main name: Wikipédia-vita
alias: Wikipédia vita, Wikipédiavita

Image talk:
main name: Képvita
alias: Kép vita, Kép-vita

MediaWiki talk:
main name: MediaWiki-vita
alias: MediaWiki vita, MediaWikivita

Template talk:
main name: Sablonvita
alias: Sablon vita, Sablon-vita

Help talk:
main name: Segítségvita
alias: Segítség vita, Segítség-vita

Category talk:
main name: Kategóriavita
alias: Kategória vita, Kategória-vita

Portal talk:
main name: Portálvita
alias: Portál vita, Portál-vita
(this might be a Wikimedia-specific namespace)

I'll ask someone now to check that I haven't mistyped anything.


Version: unspecified
Severity: trivial

bzimport set Reference to bz11488.
Tgr created this task.Via LegacySep 28 2007, 12:07 PM
grin added a comment.Via ConduitOct 31 2007, 9:30 AM

Where is the link to the voting accepting the change from user to szerkesztő?

Tgr added a comment.Via ConduitOct 31 2007, 9:45 AM

(In reply to comment #1)

Where is the link to the voting accepting the change from user to szerkesztő?

http://hu.wikipedia.org/wiki/Wikip%C3%A9dia:Szavaz%C3%A1s/N%C3%A9vt%C3%A9rmagyar%C3%ADt%C3%A1s_070901#Felhaszn.C3.A1l.C3.B3i_n.C3.A9vt.C3.A9r(In

siebrand added a comment.Via ConduitNov 28 2007, 4:05 PM

Especially all the aliases sound a bit over the top. I think you should choose a set of namespace names. Those that differ from the current can then be aliased.

bzimport added a comment.Via ConduitMay 5 2008, 11:24 PM

bdanee88 wrote:

Is this version will be good? I removed the unnecessary aliases, and just left the old ones to prevent broken links. The most talk namespaces are joined with the namespace's name, excepting two, MediaWiki-vita and Wikipédia-vita.

User:
main name: Szerkesztő

User talk:
main name: Szerkesztővita
alias: User vita

Project talk:
main name: Wikipédia-vita
alias: Wikipédia vita

Image talk:
main name: Képvita
alias: Kép vita

MediaWiki talk:
main name: MediaWiki-vita
alias: MediaWiki vita

Template talk:
main name: Sablonvita
alias: Sablon vita

Help talk:
main name: Segítségvita
alias: Segítség vita

Category talk:
main name: Kategóriavita
alias: Kategória vita

Portal talk:
main name: Portálvita
alias: Portál vita

Tgr added a comment.Via ConduitMay 6 2008, 9:45 AM

The problem is that deciding which talkspace names should contain a dash is way beyond the grammatic knowledge of the average user. So either we make them memorize it through a series of frustrating errors, or make the wrong forms redirect to the good ones. Would the latter (four possible names for each namespace, including the canonical english name) cause some sort of performance problem?

siebrand added a comment.Via ConduitJun 20 2008, 8:49 AM

Partially fixed in r36499. The namespace name for NS_PORTAL should be updated by a shell user.

siebrand added a comment.Via ConduitAug 11 2008, 10:26 PM

Categorisation: MediaWiki/i18n -> Wikimedia/Site requests. Appears this is not being picked up by the shell people.

brion added a comment.Via ConduitMay 12 2009, 11:18 PM

Rob, the remaining issue appears to be that the custom namespace 101 for huwiki needs to have the space in the middle removed, and the old name added as an alias.

The core namespaces appear to have been updated long ago.

RobH added a comment.Via ConduitMay 13 2009, 5:50 PM

The namespace changes have been completed. When running a fix for the now changed namespace, Page 'Wikipédia_vita:Csillagászati_műhely' could not be automatically fixed due to 'Csillagászati_műhely' already existing. Someone familar with the project will want to review both pages and consolidate them manually.

The same was true with: "Portálvita:Közlekedés") -> (101,"Közlekedés") [[Portálvita:Közlekedés]]. This page(s) will also need to be manually reviewed by a project member and fixed.

Otherwise the change is now live on the cluster. If there are any questions or concerns, please feel free to reply to the ticket.

Thanks!

Tgr added a comment.Via ConduitMay 14 2009, 6:57 AM

(In reply to comment #9)

Both [[hu:Wikipédia-vita:Csillagászati műhely]] and [[hu:Portálvita:Közlekedés]] seem to be fine. Do you mean that there is some (now unreachable) content remaining at [[hu:Wikipédia vita:Csillagászati műhely]] and [[hu:Portál vita:Közlekedés]]? If so, I don't see what could be done about it without direct database access.

RobH added a comment.Via ConduitMay 14 2009, 9:01 PM

I have run a much more exhaustive cleanup script against the database. Any remaining pages that were 'missing' from the namespace addition should now be resolved.

Add Comment